Bug 121778 - LibreOffice opens but crashes when entering data on macOS 10.14 Mojave
Summary: LibreOffice opens but crashes when entering data on macOS 10.14 Mojave
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All Mac OS X (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.5 target:6.1.4
Keywords:
: 121788 121840 121868 121910 122132 122199 122211 122220 122233 122237 122243 122450 122525 122549 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-11-29 06:30 UTC by Neil
Modified: 2019-03-22 13:59 UTC (History)
23 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc test document (120.97 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-12-04 08:41 UTC, Alex Thurgood
Details
Apple crash trace (122.19 KB, text/plain)
2018-12-04 08:43 UTC, Alex Thurgood
Details
Calc test spreadsheet (7.00 KB, application/vnd.ms-excel)
2018-12-06 10:21 UTC, jonas
Details
LLDB session backtrace (1.55 MB, text/plain)
2018-12-20 08:47 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neil 2018-11-29 06:30:44 UTC
Description:
I have a MacBook (Retina, 12-inch, Early 2016) running OS version 10.14.1. I updated my LibreOffice Vanilla with the new version: 6.1.3.3 Build ID: 502e2001d4af96907b8ef3a795b2d9230cf93f0e

I first noticed it was somewhat slow to start, however I manage to open 4 existing spreadsheets. On trying to modify a spreadsheet I quickly got the spinning disk. I noted that the CPU was up to 30% usage and LibreOffice would not respond. On further investigation I found anything that caused scrolling or rewriting cells quickly led to the spinning disc again, with the only way out being through force quit. I discovered I could print a sheet. I tried text documents with similar disc spinning problem. Perhaps this behaviour is related to drawing problems? I successfully saved a text document I had created by avoiding scrolling.

The problem persist when run up in safe mode.

Steps to Reproduce:
1.open a spreadsheet
2.enter some data - it soon locks up
3.

Actual Results:
unusable

Expected Results:
usable


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Comment 1 Alex Thurgood 2018-12-04 08:33:34 UTC
@Neil : we'll need more information than what you have given us.

Slow startup is a known issue (one of several performance issues affecting the Mac versions of LO in general).

How big is your spreadsheet ?
What does the spreadsheet contain ?

It would be helpful if you could provide an anonymized sample spreadsheet with which to test, otherwise we will just be stabbing in the dark, trying to nail down the problem.

Setting to NEEDINFO
Comment 2 Alex Thurgood 2018-12-04 08:40:34 UTC
@Neil : don't bother with the test document, I can reproduce this, I even get a complete crash of LOVanilla after trying to scroll through the worksheet.

Confirming, attaching test document, and Apple crash trace
Comment 3 Alex Thurgood 2018-12-04 08:41:55 UTC
Created attachment 147261 [details]
Calc test document

Load the test document into LO Vanilla 6133.
Click on a cell.
Now scroll down with the mouse.
Spinning beachball, then crash.
Comment 4 Alex Thurgood 2018-12-04 08:43:04 UTC
Created attachment 147262 [details]
Apple crash trace
Comment 5 Alex Thurgood 2018-12-04 08:44:41 UTC
@Tor: are you still working on these - it seems to be specific to LOVanilla ?
Comment 6 Tor Lillqvist 2018-12-04 09:04:11 UTC
Can reproduce. Will try to fix.
Comment 7 Tor Lillqvist 2018-12-04 09:26:15 UTC
FWIW, I can reproduce the same crash also in a normal build from the libreoffice-6-1 branch with no code signing or sandboxing involved.

Oddly enough the TDF 6.1.3 build works fine, though.
Comment 8 Alex Thurgood 2018-12-04 15:42:07 UTC
*** Bug 121840 has been marked as a duplicate of this bug. ***
Comment 9 Tor Lillqvist 2018-12-04 17:53:11 UTC
Seems that Stephan's single-line change in e659c6a1857fbb8e5a6e8ff60fe241483eea32dd helps get rid of this problem, even if the commit message for that talks about a failure of a unit test. Will double-check and cherry-pick to the 6.1 branch.
Comment 10 Tor Lillqvist 2018-12-04 22:13:46 UTC
See https://gerrit.libreoffice.org/#/c/64576/
Comment 11 Xisco Faulí 2018-12-04 22:45:33 UTC
*** Bug 121910 has been marked as a duplicate of this bug. ***
Comment 12 Xisco Faulí 2018-12-04 23:04:09 UTC
I've just updated my macbook to 10.14.1 but I can't reproduce the issue in

Version: 6.2.0.0.beta1+
Build ID: 3640db087386d699e49f9a5d426c91de6788d612
CPU threads: 8; OS: Mac OS X 10.14.1; UI render: default; VCL: osx; 
Locale: en-US (en_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 13 Stephan Bergmann 2018-12-05 08:16:48 UTC
(In reply to Tor Lillqvist from comment #9)
> Seems that Stephan's single-line change in
> e659c6a1857fbb8e5a6e8ff60fe241483eea32dd helps get rid of this problem, even
> if the commit message for that talks about a failure of a unit test. Will
> double-check and cherry-pick to the 6.1 branch.

Assuming that this is an issue that hits us as soon as specific code is executed on macOS 10.14 (regardless of what macOS version the code got built on), it is plausible that I first encountered it in a unit test during the first build I did on my machine after upgrading it to macOS 10.14.
Comment 14 Commit Notification 2018-12-05 12:31:50 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/9d7897521efd0c37693241e84c562ea32750740e%5E%21

tdf#121778: Work around odd macOS 10.14 graphicsContextWithWindow failure

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 jonas 2018-12-06 09:13:00 UTC
Works flawless again with Version: 6.1.3.4 (just updated via App Store).
No more crashes and sluggy interface.

Thank you guys for the fast fix!
Comment 16 jonas 2018-12-06 09:45:19 UTC
(In reply to jonas from comment #15)
> Works flawless again with Version: 6.1.3.4 (just updated via App Store).
> No more crashes and sluggy interface.
> 
> Thank you guys for the fast fix!

I was happy too soon. Just opened a second Calc document, LibreOffice is not responding anymore (CPU load 99.9%) and finally crashed.

Process:               soffice [1550]
Path:                  /Applications/LibreOffice Vanilla.app/Contents/MacOS/soffice
Identifier:            com.collabora.libreoffice-free
Version:               6.1.3004 (6.1.3004)
App Item ID:           921923693
App External ID:       829525423
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           soffice [1550]
User ID:               501

Date/Time:             2018-12-06 10:42:51.902 +0100
OS Version:            Mac OS X 10.14.1 (18B75)
Report Version:        12
Comment 17 Tor Lillqvist 2018-12-06 10:00:00 UTC
Can you please provide that document and exact reproduction instructions please?
Comment 18 jonas 2018-12-06 10:21:39 UTC
Created attachment 147319 [details]
Calc test spreadsheet

- Open spreadsheet with LibreOffice Version: 6.1.3.4
- Resize Window of the spreadsheet
- Use scroll bar
- Interface begins to be sluggy and LibreOffice will crash finally (not responding, CPU 99.9%)
Comment 19 Tor Lillqvist 2018-12-06 10:47:13 UTC
Sigh, yes, can reproduce. Even in a normal non-sandboxed build of the 6.1 branch.
Comment 20 Tor Lillqvist 2018-12-06 11:31:58 UTC
Stack trace from pausing the soffice process during one of those beach-ball waits. The many many stack slots of CGDisplayListDelegateDrawDisplayList(), dle_Execute(), and dle_ExecuteDisplayList() look familiar, I saw that when investigating the scenario with the first sample document in this bug report, too.


#0	0x00007fff417d72b1 in argb32_image_mark_argb32 ()
#1	0x00007fff417d6d75 in argb32_image_mark_image ()
#2	0x00007fff417815fd in argb32_image ()
#3	0x00007fff417808e4 in ripl_Mark ()
#4	0x00007fff417808bb in RIPLayerBltImage ()
#5	0x00007fff417801f2 in ripc_RenderImage ()
#6	0x00007fff41774345 in ripc_DrawImage ()
#7	0x00007fff41774006 in CGContextDelegateDrawImage ()
#8	0x00007fff417c3058 in dle_ExecuteDisplayList ()
#9	0x00007fff417c1c29 in dle_Execute ()
#10	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#11	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#12	0x00007fff417c1c29 in dle_Execute ()
#13	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#14	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#15	0x00007fff417c1c29 in dle_Execute ()
#16	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#17	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#18	0x00007fff417c1c29 in dle_Execute ()
#19	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#20	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#21	0x00007fff417c1c29 in dle_Execute ()
#22	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#23	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#24	0x00007fff417c1c29 in dle_Execute ()
#25	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#26	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#27	0x00007fff417c1c29 in dle_Execute ()
#28	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#29	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#30	0x00007fff417c1c29 in dle_Execute ()
#31	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#32	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#33	0x00007fff417c1c29 in dle_Execute ()
#34	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#35	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#36	0x00007fff417c1c29 in dle_Execute ()
#37	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#38	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#39	0x00007fff417c1c29 in dle_Execute ()
#40	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#41	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#42	0x00007fff417c1c29 in dle_Execute ()
#43	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#44	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#45	0x00007fff417c1c29 in dle_Execute ()
#46	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#47	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#48	0x00007fff417c1c29 in dle_Execute ()
#49	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#50	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#51	0x00007fff417c1c29 in dle_Execute ()
#52	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#53	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#54	0x00007fff417c1c29 in dle_Execute ()
#55	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#56	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#57	0x00007fff417c1c29 in dle_Execute ()
#58	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#59	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#60	0x00007fff417c1c29 in dle_Execute ()
#61	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#62	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#63	0x00007fff417c1c29 in dle_Execute ()
#64	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#65	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#66	0x00007fff417c1c29 in dle_Execute ()
#67	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#68	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#69	0x00007fff417c1c29 in dle_Execute ()
#70	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#71	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#72	0x00007fff417c1c29 in dle_Execute ()
#73	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#74	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#75	0x00007fff417c1c29 in dle_Execute ()
#76	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#77	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#78	0x00007fff417c1c29 in dle_Execute ()
#79	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#80	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#81	0x00007fff417c1c29 in dle_Execute ()
#82	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#83	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#84	0x00007fff417c1c29 in dle_Execute ()
#85	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#86	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#87	0x00007fff417c1c29 in dle_Execute ()
#88	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#89	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#90	0x00007fff417c1c29 in dle_Execute ()
#91	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#92	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#93	0x00007fff417c1c29 in dle_Execute ()
#94	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#95	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#96	0x00007fff417c1c29 in dle_Execute ()
#97	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#98	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#99	0x00007fff417c1c29 in dle_Execute ()
#100	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#101	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#102	0x00007fff417c1c29 in dle_Execute ()
#103	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#104	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#105	0x00007fff417c1c29 in dle_Execute ()
#106	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#107	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#108	0x00007fff417c1c29 in dle_Execute ()
#109	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#110	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#111	0x00007fff417c1c29 in dle_Execute ()
#112	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#113	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#114	0x00007fff417c1c29 in dle_Execute ()
#115	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#116	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#117	0x00007fff417c1c29 in dle_Execute ()
#118	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#119	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#120	0x00007fff417c1c29 in dle_Execute ()
#121	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#122	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#123	0x00007fff417c1c29 in dle_Execute ()
#124	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#125	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#126	0x00007fff417c1c29 in dle_Execute ()
#127	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#128	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#129	0x00007fff417c1c29 in dle_Execute ()
#130	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#131	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#132	0x00007fff417c1c29 in dle_Execute ()
#133	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#134	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#135	0x00007fff417c1c29 in dle_Execute ()
#136	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#137	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#138	0x00007fff417c1c29 in dle_Execute ()
#139	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#140	0x00007fff417c2f97 in dle_ExecuteDisplayList ()
#141	0x00007fff417c1c29 in dle_Execute ()
#142	0x00007fff417d83ed in CGDisplayListDelegateDrawDisplayList ()
#143	0x00007fff41ba1115 in dlr_DrawLayer ()
#144	0x00007fff41913b2b in CGContextDelegateDrawLayer ()
#145	0x00007fff418729ef in CGContextDrawLayerAtPoint ()
#146	0x000000010d88743b in AquaSalGraphics::UpdateWindow(CGRect&) at /Volumes/TML13/lo/6.1/vcl/quartz/salgdiutils.cxx:211
#147	0x000000010d978320 in ::-[SalFrameView drawRect:](NSRect) at /Volumes/TML13/lo/6.1/vcl/osx/salframeview.mm:576
#148	0x00007fff3e9ac755 in _NSViewDrawRect ()
#149	0x00007fff3e9ab00d in -[NSView(NSInternal) _recursive:displayRectIgnoringOpacity:inContext:shouldChangeFontReferenceColor:stopAtLayerBackedViews:] ()
#150	0x00007fff3e9aa9f2 in __46-[NSView(NSLayerKitGlue) drawLayer:inContext:]_block_invoke ()
#151	0x00007fff3e9aa751 in -[NSView(NSLayerKitGlue) _drawViewBackingLayer:inContext:drawingHandler:] ()
#152	0x00007fff4c2e7a83 in CABackingStoreUpdate_ ()
#153	0x00007fff4c34882d in ___ZN2CA5Layer8display_Ev_block_invoke ()
#154	0x00007fff4c2e6c78 in -[CALayer _display] ()
#155	0x00007fff3e9a9caa in _NSBackingLayerDisplay ()
#156	0x00007fff3e98e219 in -[_NSViewBackingLayer display] ()
#157	0x00007fff4c2e61a4 in CA::Layer::display_if_needed(CA::Transaction*) ()
#158	0x00007fff4c2d442f in CA::Context::commit_transaction(CA::Transaction*) ()
#159	0x00007fff4c2d3d00 in CA::Transaction::commit() ()
#160	0x00007fff4c2d3a0c in CA::Transaction::observer_callback(__CFRunLoopObserver*, unsigned long, void*) ()
#161	0x00007fff4138a6ad in __CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ ()
#162	0x00007fff4138a5e2 in __CFRunLoopDoObservers ()
#163	0x00007fff4132ba64 in CFRunLoopRunSpecific ()
#164	0x00007fff405c4b35 in RunCurrentEventLoopInMode ()
#165	0x00007fff405c4774 in ReceiveNextEventCommon ()
#166	0x00007fff405c45e8 in _BlockUntilNextEventMatchingListInModeWithFilter ()
#167	0x00007fff3e880eb7 in _DPSNextEvent ()
#168	0x00007fff3e87fc56 in -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] ()
#169	0x000000010d81ce84 in AquaSalInstance::DoYield(bool, bool) at /Volumes/TML13/lo/6.1/vcl/osx/salinst.cxx:606
#170	0x000000010d6b0a28 in ImplYield(bool, bool) at /Volumes/TML13/lo/6.1/vcl/source/app/svapp.cxx:470
#171	0x000000010d6b04d4 in Application::Yield() at /Volumes/TML13/lo/6.1/vcl/source/app/svapp.cxx:535
#172	0x000000010d6b0451 in Application::Execute() at /Volumes/TML13/lo/6.1/vcl/source/app/svapp.cxx:450
#173	0x000000010590717e in desktop::Desktop::Main() at /Volumes/TML13/lo/6.1/desktop/source/app/app.cxx:1634
#174	0x000000010d6c1a5b in ImplSVMain() at /Volumes/TML13/lo/6.1/vcl/source/app/svmain.cxx:200
#175	0x000000010d81bf26 in AquaSalInstance::handleAppDefinedEvent(NSEvent*) at /Volumes/TML13/lo/6.1/vcl/osx/salinst.cxx:464
#176	0x000000010d95fb91 in ::-[VCL_NSApplication sendEvent:](NSEvent *) at /Volumes/TML13/lo/6.1/vcl/osx/vclnsapp.mm:101
#177	0x00007fff3e879cf1 in -[NSApplication run] ()
#178	0x00007fff3e8693f7 in NSApplicationMain ()
#179	0x000000010d81a5ba in ImplSVMainHook(int*) at /Volumes/TML13/lo/6.1/vcl/osx/salinst.cxx:224
#180	0x000000010d6c460c in SVMain() at /Volumes/TML13/lo/6.1/vcl/source/app/svmain.cxx:235
#181	0x000000010597cf6a in ::soffice_main() at /Volumes/TML13/lo/6.1/desktop/source/app/sofficemain.cxx:170
#182	0x00000001057dcf60 in sal_main [inlined] at /Volumes/TML13/lo/6.1/desktop/source/app/main.c:48
#183	0x00000001057dcf5b in main at /Volumes/TML13/lo/6.1/desktop/source/app/main.c:47
#184	0x00007fff6e50e08d in start ()
#185	0x00007fff6e50e08d in start ()
Comment 21 Xisco Faulí 2018-12-06 14:44:10 UTC
(In reply to Tor Lillqvist from comment #19)
> Sigh, yes, can reproduce. Even in a normal non-sandboxed build of the 6.1
> branch.

Can't reproduce it in

Version: 6.3.0.0.alpha0+
Build ID: 39b81921d7ecf6b7b4c61f2564eded7cfce5bd0b
CPU threads: 8; OS: Mac OS X 10.14.1; UI render: default; VCL: osx; 
Locale: en-US (en_ES.UTF-8); UI-Language: en-US
Calc: threaded

https://gerrit.libreoffice.org/#/c/64576/ needs to be included ?
Comment 22 Tor Lillqvist 2018-12-06 14:52:07 UTC
Yeah, this probably is something that doesn't happen in master or 6.2. And yes, that fix was included in the LibreOffice Vanilla build; that is why I published a new build of it some days ago, called it 6.1.3(4).
Comment 23 Xisco Faulí 2018-12-06 15:00:55 UTC
JFTIn, can't reproduce it in

Version: 6.1.0.0.alpha1+
Build ID: 3a801799536e6870f2fb111b1cc00b9575a35a39
CPU threads: 8; OS: Mac OS X 10.14.1; UI render: default; 
Locale: en-US (en_ES.UTF-8); Calc: group

nor in

Version: 6.2.0.0.alpha1+
Build ID: afd4f48d164ca72a024159e0c6b7a49147351f64
CPU threads: 8; OS: Mac OS X 10.14.1; UI render: default; VCL: osx; 
Locale: en-US (en_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 24 steve -_- 2018-12-06 19:42:53 UTC
Polite ping about status of this bug. Does 6.1.3 (4) published in MAS fix the problem? If so, let's update the bug accordingly.
Comment 25 Tor Lillqvist 2018-12-06 20:04:14 UTC
To the best of my knowledge, the 6.1.3(4) build fixes the problem as described by the initial report. But the slightly different problem described from comment #16 on still remains. (Yes, sure, a new bug report should have been created for the latter.)
Comment 26 Tor Lillqvist 2018-12-07 11:27:06 UTC
I now notice that I can reproduce the hang even with just a fresh empty spreadsheet... (in the 6.1 branch): Create a new spreadsheet document, resize its window, and scroll back and forth a bit (using the touchpad or scroll bar). Soon you will get a hang (beach ball forever).
Comment 27 Michael Meeks 2018-12-11 12:55:22 UTC
Interesting; some resource starvation ? are we queueing up far too much work to do before flushing / swap-buffers-ing inside the OS / graphics stack somehow ? might be interesting to see what volume of resources we allocate and where they are freed during scrolling (?). Is there some external resource-monitor that can watch that ? Thanks for the report.
Comment 28 Commit Notification 2018-12-12 12:41:09 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-4":

https://git.libreoffice.org/core/+/5a430e618efc3d230da460af566e4db26eb8e74e%5E%21

tdf#121778: Work around odd macOS 10.14 graphicsContextWithWindow failure

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Charles 2018-12-15 10:14:06 UTC
Hi guys. Any idea when we’ll get the update for Libreoffice Vanilla? Over 2 weeks now, and I’m still not able to use Writer or Calc. Any help greatly appreciated.

Cheers - Ian
Comment 30 Charles 2018-12-15 10:14:31 UTC Comment hidden (obsolete)
Comment 31 Xisco Faulí 2018-12-17 10:38:33 UTC
*** Bug 122132 has been marked as a duplicate of this bug. ***
Comment 32 Tor Lillqvist 2018-12-18 11:29:22 UTC
FYI, building LibreOffice with an older Xcode (9.4.1) that comes with the 10.13 SDK helps. Will submit a re-build of LibreOffice Vanilla built using that toolchain in some moments.
Comment 33 Tor Lillqvist 2018-12-19 05:30:40 UTC
A new build, 6.1.3(5), built with Xcode 9.4.1, is now released for sale on the Mac App Store and will spread out to users in the normal automatic fashion.
Comment 34 jonas 2018-12-19 08:05:04 UTC
(In reply to Tor Lillqvist from comment #33)
> A new build, 6.1.3(5), built with Xcode 9.4.1, is now released for sale on
> the Mac App Store and will spread out to users in the normal automatic
> fashion.

Seems to work! Just updated to 6.1.3.5 and no crashes anymore after scrolling and resizing the window. Thanks a lot!

I was already very close to install MS Office on my Mac. Fortunately I had a Windows 7 VM with MS Office 2010 installed to edit the client adress list for our christmas gift mailing just in time ;-)
Comment 35 Charles 2018-12-19 14:23:06 UTC
Installed upgrades on my Macbook Pro and iMac this morning. I've done a significant amount of entering, changing, calculating and deleting formulae + resizing s/sheet. I've also been giving Writer a good work out too. All seems stable and fully functional. Thanks guys for getting the problems sorted.

Regards

Ian (Happy LOV user)
Comment 36 Alex Thurgood 2018-12-19 15:42:02 UTC
*** Bug 122199 has been marked as a duplicate of this bug. ***
Comment 37 Alex Thurgood 2018-12-20 08:34:00 UTC
*** Bug 121868 has been marked as a duplicate of this bug. ***
Comment 38 Alex Thurgood 2018-12-20 08:40:06 UTC
*** Bug 122211 has been marked as a duplicate of this bug. ***
Comment 39 Alex Thurgood 2018-12-20 08:47:23 UTC
Created attachment 147688 [details]
LLDB session backtrace
Comment 40 Alex Thurgood 2018-12-20 12:33:45 UTC
*** Bug 122220 has been marked as a duplicate of this bug. ***
Comment 41 Mike Kaganski 2018-12-20 20:28:51 UTC
*** Bug 122211 has been marked as a duplicate of this bug. ***
Comment 42 Mike Kaganski 2018-12-20 20:37:47 UTC
Stephan: the problem here is likely dependent on the XCode version; and the newly released 6.1.4 has just started to suffer from the same problem (bug 122211) - which is likely the result of recent compiler baseline changes. Could you take a look please?
Comment 43 Xisco Faulí 2018-12-20 23:22:06 UTC
Removing 'vanilla' from the summary since tdf's version is also affected...
Comment 44 Xisco Faulí 2018-12-21 08:48:10 UTC
*** Bug 122233 has been marked as a duplicate of this bug. ***
Comment 45 Xisco Faulí 2018-12-21 09:29:20 UTC
*** Bug 122237 has been marked as a duplicate of this bug. ***
Comment 46 Stephan Bergmann 2018-12-21 10:35:39 UTC
(In reply to Mike Kaganski from comment #42)
> Stephan: the problem here is likely dependent on the XCode version; and the
> newly released 6.1.4 has just started to suffer from the same problem (bug
> 122211) - which is likely the result of recent compiler baseline changes.
> Could you take a look please?

Not sure what's the problem there.  Per comment 33, Xcode 9.4.1 is old enough to make the LO version built by Tor there be ok.  The current LO master baseline (as documented in README.md) is Xcode 9.3, so that baseline itself shouldn't be an issue.  No idea what Xcode version was used to build the LO versions reported as problematic in issue 122211.
Comment 47 Xisco Faulí 2018-12-21 11:38:30 UTC
*** Bug 122243 has been marked as a duplicate of this bug. ***
Comment 48 Xisco Faulí 2018-12-22 10:50:04 UTC
Hello,
we have rebuilt LibreOffice 6.2.0.1 with xcode 9 and it seems to work fine. It can be downloaded from https://dev-builds.libreoffice.org/pre-releases/mac/x86_64/xcode9/LibreOffice_6.2.0.1_MacOS_x86-64.dmg

Could you all please try it to see if the crashes/hangs reported are still reproducible ? if it's fine, we will rebuilt LibreOffice 6.1.4.2 with xcode 9 as well.

Thanks in advance
Comment 49 Joop Lanting 2018-12-22 13:10:04 UTC
Downloaded and installed on 10.14.2 / iMac.

:: fonts, bold, italic, underlined : works again.

Tables: borders are very faint, almost invisible now.

;JOOP!
Comment 50 Xisco Faulí 2018-12-22 13:51:56 UTC
(In reply to Joop Lanting from comment #49)
> Downloaded and installed on 10.14.2 / iMac.
> 
> :: fonts, bold, italic, underlined : works again.
> 
> Tables: borders are very faint, almost invisible now.
> 
> ;JOOP!

Does it work if you disable OpenGl ? -> https://wiki.documentfoundation.org/OpenGL
Comment 51 Xisco Faulí 2018-12-22 13:53:25 UTC
BTW, LibreOffice 6.1.4.2 build with xCode 9 is also available in https://dev-builds.libreoffice.org/pre-releases/mac/x86_64/xcode9/LibreOffice_6.1.4.2_MacOS_x86-64.dmg.

it works fine for me, please, recheck if you have time...
Comment 52 Joop Lanting 2018-12-22 14:53:49 UTC
(In reply to Xisco Faulí from comment #50)
> (In reply to Joop Lanting from comment #49)
> > Downloaded and installed on 10.14.2 / iMac.
> > 
> > :: fonts, bold, italic, underlined : works again.
> > 
> > Tables: borders are very faint, almost invisible now.
> > 
> > ;JOOP!
> 
> Does it work if you disable OpenGl ? ->
> https://wiki.documentfoundation.org/OpenGL

It appears I had OpenGL disabled all those years.
Well enabling / disabling does not show any different behaviour right now.

Btw.: the wiki document you linked to is little obsolete,
the instruction should read:

LibreOffice > Preferences > LibreOffice > View ...

;JOOP!
Comment 53 Mike Kaganski 2018-12-22 14:59:03 UTC
(In reply to Joop Lanting from comment #52)
> Btw.: the wiki document you linked to is little obsolete,
> the instruction should read:
> 
> LibreOffice > Preferences > LibreOffice > View ...

It's not obsolete; it just doesn't mention that macOS does it differently.
Comment 54 mr.viennavienna 2018-12-22 15:08:34 UTC
LibreOffice 6.2.0.1 works with & without OpenGL for me. No freeze/crash experienced after resizing the window.
Comment 55 Joop Lanting 2018-12-22 15:11:29 UTC
OK, correction: it's incomplete (I feel alien with Apple).

Btw.: the new 6.1.4.2 is OK: no errors noticed, and the faint look
of 6.2 is also gone.
;JOOP!
Comment 56 Mike Kaganski 2018-12-22 15:13:07 UTC
I suppose that testing with 6.2 (as asked in comment 48) is incorrect. Throughout the thread, it was mentioned several times that it wasn't reproducible with 6.2 and 6.3 branches; so I suppose that only testing the updated 6.1.4.2 is relevant.
Comment 57 Joop Lanting 2018-12-22 15:15:07 UTC
Since 6.1.4 I get (macOS) strange document resizing when I copy/paste something.
Should I submit a bug report for 6.1.4.2 or wait for the first 6.2.x?
;JOOP!
Comment 58 mr.viennavienna 2018-12-22 15:27:10 UTC
The updated 6.1.4.2 LO works (with & without OpenGL) for me. No freeze/crash experienced after resizing the window.
Comment 59 Charles 2018-12-23 07:59:10 UTC
Hi. I'm using Version: 6.1.3.5
Build ID: 15843ed45a7b807506f7cf3529f9e15dd77e4b8b
CPU threads: 4; OS: Mac OS X 10.14.2; UI render: default; 
Locale: en-GB (en_GB.UTF-8); Calc: group threaded.
I'm using the above version on a MacBook Pro and a 21"(51Cm) iMac. Up to now, I've found this current build to be completely reliable, no crashes or hang-ups.
Comment 60 Xisco Faulí 2018-12-24 15:02:54 UTC
FYI: LibreOffice 6.1.4.2 has been replaced in the mirrors with the one built with xcode 9. New dowloads should be fine now...
Comment 61 Claude 2018-12-24 17:57:04 UTC
(In reply to Xisco Faulí from comment #60)
> FYI: LibreOffice 6.1.4.2 has been replaced in the mirrors with the one built
> with xcode 9. New dowloads should be fine now...


I can confirm that the "new" 6.1.4 in the mirrors works. Great!

I installed it over 6.1.3, as updates from the LibreOffice App, not Vanilla, doesn't work in MacOS.

Thank you very much.
Comment 62 cpohle 2018-12-27 10:38:47 UTC
The XCode9 version 6.2.0.1 obviously also fixed my problem: When opening the function assistant in Calc and trying to scroll through the function list using the mouse whell (touchpad), LibreOffice reproducibly freezed and crashed.

THX.
Comment 63 Joop Lanting 2018-12-27 13:17:45 UTC
Everybody thanks for the quick responses and cooperation.
I made a donation.
Happy 2019.
;JOOP!
Comment 64 Xisco Faulí 2019-01-07 23:00:39 UTC
*** Bug 122549 has been marked as a duplicate of this bug. ***
Comment 65 Xisco Faulí 2019-01-07 23:00:53 UTC
*** Bug 122450 has been marked as a duplicate of this bug. ***
Comment 66 Xisco Faulí 2019-01-08 15:02:57 UTC
*** Bug 122525 has been marked as a duplicate of this bug. ***
Comment 67 Martin Srebotnjak 2019-01-13 10:53:21 UTC
See also https://bugs.documentfoundation.org/show_bug.cgi?id=122243
Comment 68 Xisco Faulí 2019-01-14 17:10:06 UTC
*** Bug 121788 has been marked as a duplicate of this bug. ***
Comment 69 Xisco Faulí 2019-01-17 11:59:25 UTC
*** Bug 120727 has been marked as a duplicate of this bug. ***
Comment 70 Xisco Faulí 2019-01-17 16:48:08 UTC
*** Bug 122218 has been marked as a duplicate of this bug. ***
Comment 71 steve -_- 2019-03-03 12:50:38 UTC
*** Bug 122243 has been marked as a duplicate of this bug. ***
Comment 72 steve -_- 2019-03-03 12:56:07 UTC
https://bugs.documentfoundation.org/show_bug.cgi?id=122243 describes this problem as persisting w LO 6.2.0.2.

I can not reproduce the faulty behavior as described in 122243 "After opening a document you cannot do anything with it (cannot edit it or operations execute very slowly, like repositioning of a cursor takes a minute).
Also, you cannot swith user interface - from notebookbar to something else."

for me 6.2.0.3 on macOS 10.14.3 works as expected in that regard.

Is anybody able to reproduce this problem with current version of LO and macOS?
Comment 73 steve -_- 2019-03-03 12:56:22 UTC Comment hidden (duplicate, obsolete)
Comment 74 Alex Thurgood 2019-03-04 17:27:34 UTC
Seems like this has been fixed in all branches and current releases with the fixes from Tor and Stephan, so closing as such.
Comment 75 Aron Budea 2019-03-17 06:37:48 UTC
Is there any update on how a master build using Xcode 10.1 or 10.2 beta behaves? If the problem's still there in such builds, it would be good to have a new bug report open on it.
Comment 76 Tor Lillqvist 2019-03-18 10:21:51 UTC
At least the resize-Calc-document, scroll-back-and-forth-a-bit scenario still causes the process to get stuck at 100% cpu usage in a master build with Xcode 10.1.